#include <iostream>

using namespace std;

#include "sm_array.h"
#include "collect.h"
#include "tournament.h"

int main(int argc, char * argv[]) {
    garray restaurants = populate_restaurants();
    string restaurant_to_rule_them_all;
    try {
        restaurant_to_rule_them_all = tournament(restaurants);
    }
    catch (string e) {
        cerr << e << endl;
    }
    cout << ">>> winner: " << restaurant_to_rule_them_all << endl;
    return 0;
}
